<?php

/*
Plugin Name: Save and New
Plugin URI: https://medienteam.biz/wordpress/seiten-in-wordpress-schnell-veroeffentlichen.html
Description: Speichert den Aktuellen Artikel und erstellt einen neuen
Version: 1.1.0
Author: MedienTeam Dresden GmbH
Author URI: https://medienteam.biz
*/

$PLG_ID = 'mt.wp.plg.saveandnew';
$HTM_ID = 'mt_wp_plg_saveandnew';

$default_options = array(
		'postNew' => '1',
		'postRef' => '1',
		'pageNew' => '1',
		'pageRef' => '1'
	);


include_once 'functions.php';

/**
 * @deprecated
 */
//include_once 'admin_menu/mt_admin_menu.php';


function init_saveAndNew(){
	load_plugin_textdomain($PLG_ID,dirname(__FILE__).'/language/');
}

add_action('init', 'init_saveAndNew');



function redirectToNewPost($post_id){
	
	$_siteUrl = site_url();

	if($_POST['action'] != 'inline-save'){
		
		if( preg_match('/\/wp-admin\/post-new.php$/',$_POST['_wp_http_referer'])&& dataReaderSaveAndNew('postNew') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/post-new.php');
			exit();
			
		}else if( $_POST['post_type'] == 'post' && dataReaderSaveAndNew('postRef') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/edit.php');
			exit();
			
		}else if( preg_match('/\/wp-admin\/post-new.php\?post_type\=page$/',$_POST['_wp_http_referer'])  && dataReaderSaveAndNew('pageNew') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/post-new.php?post_type=page');
			exit();
			
		}else if( $_POST['post_type'] == 'page' && dataReaderSaveAndNew('pageRef') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/edit.php?post_type=page');
			exit();
			
		}else if($_POST['post_type'] == 'post' && $_POST['hidden_post_status'] == 'draft' && dataReaderSaveAndNew('postRef') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/edit.php');
			exit();	
			
		}else if($_POST['post_type'] == 'page' && $_POST['hidden_post_status'] == 'draft' && dataReaderSaveAndNew('postRef') == '1'){
			
			wp_redirect($_siteUrl.'/wp-admin/edit.php');
			exit();	
			
		}
	}
}

add_action ( 'publish_post', 'redirectToNewPost' );
add_action ( 'publish_page', 'redirectToNewPost' );
add_action ( 'draft_post', 'redirectToNewPost' );
add_action ( 'draft_page', 'redirectToNewPost' );

add_action('admin_menu','addMyPage');

function addMyPage(){
	global $PLG_ID;
	
	$_pageTitle = __('Speichern und Neu',$PLG_ID);
	$_menuTitle = __('Speichern und Neu',$PLG_ID);
	add_submenu_page('options-general.php', $_pageTitle, $_menuTitle, 'manage_options', 'save_and_new', 'createSettingPageSaveAndNew');
		
}

function createSettingPageSaveAndNew(){
	include 'mt.wp.plg.saveandnew_settings.php';
}